> For the complete documentation index, see [llms.txt](https://docs.cspr.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cspr.cloud/1.3.x/streaming-api/fungible-token-action.md).

# Fungible token action

The NFT action stream provides updates about standard fungible toekn actions like `mint`, `burn`, or `transfer` happening on the network. CSPR.cloud keeps track of fungible tokens compatible with the [CEP-18](https://github.com/casper-ecosystem/cep18) Casper Network standard.

```
GET /ft-token-actions
```

## Optional properties

None

## Query params

| Property                | Type     | Description                                     |
| ----------------------- | -------- | ----------------------------------------------- |
| `contract_package_hash` | `string` | Comma-separated list of contract package hashes |
| `owner_hash`            | `string` | Comma-separated list of owner account hashes    |

## Events

| Event     | Description                                                       |
| --------- | ----------------------------------------------------------------- |
| `created` | Notifies about new fungible token action happening on the network |

## Response

[`WebSocketMessage`](/1.3.x/streaming-api/reference.md#format)[`<FTTokenAction>`](/1.3.x/rest-api/fungible-token-action.md#properties)

## Example

```bash
wscat -c 'wss://streaming.testnet.cspr.cloud/ft-token-actions?contract_package_hash=570fccf5c7f86e9041bee2692a6b145f22bced6e4aac751124675e08814296ff' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "data": {
    "deploy_hash": "8aeb6ac06715e665ec1b5de73ca4738bc8a7418fde72455d711184c4b34112e2",
    "contract_package_hash": "570fccf5c7f86e9041bee2692a6b145f22bced6e4aac751124675e08814296ff",
    "transform_idx": -1,
    "from_type": 0,
    "from_hash": "dbaf573a6093ed8eedf21e87d424bd215ce99fa2af7a2b4148db8c1505ddc4ed",
    "to_type": 1,
    "to_hash": "39180a492ff3f0998911287074175a8868a8c70044721c1fd133483ded1a46b4",
    "ft_action_type_id": 2,
    "amount": "100000000000000",
    "timestamp": "2023-04-26T07:49:45.499Z"
  },
  "action": "created",
  "extra": null,
  "timestamp": "2024-02-15T10:58:43.070659995Z"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.cloud/1.3.x/streaming-api/fungible-token-action.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
